/*
 * Java application using Oracle "OCI" driver
 * Net8/SQL*Net required on client
 *
 * @version 1.01 04/01/2000
 * @author  John Jay King
 */

import java.sql.*; // need for JDBC

/** Sample use of Oracle "OCI" JDBC connection */
public class OraOCIJDBC
{
  public static void main (String args [])
       throws SQLException
  {
    // Load the Oracle JDBC driver
    DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());

    // Create the database connection string, format: 
    // 	jdbc:oracle:oci8:@**oraclesid**
    String url = "jdbc:oracle:oci8:@tecr817";
    try {
      String url1 = System.getProperty("JDBC_URL");
      if (url1 != null)
        url = url1;
    } catch (Exception e) {
      // If there is any security exception, ignore it
      // and use the default
    }
    
    // Connect to the database
    Connection conn =
      DriverManager.getConnection (url, "scott", "tiger");

    // Create a Statement
    Statement stmt = conn.createStatement ();

   // Select the ENAME and JOB columns from the EMP table
    ResultSet rset = stmt.executeQuery ("select ename,job from emp");

    // Loop through results set and print the employee info
    while (rset.next ())
      System.out.println ("Employee: " + rset.getString (1)
                        + " is a " + rset.getString(2));
 
    // Close the RseultSet
    rset.close();

    // Close the Statement
    stmt.close();

    // Close the connection
    conn.close();   
  } // end main
} // end OraOCIJDBC
