/*
 * Java application using Oracle "thin" driver
 * Net8/SQL*Net not required on client
 *
 * Sample use of Oracle Stored Procedure and Function
 * via JDBC
 *
 * @version 1.01 04/01/2000
 * @author  John Jay King
 */

import java.sql.*;	// needed for JDBC
import java.math.*; // needed for bigDecimal

/** Sample use of Oracle "thin" JDBC connection */
public class OraThinJDBCStoredProc
{
  public static void main (String args [])
       throws SQLException
  {
    // Load the Oracle JDBC driver
    DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());

    // Connect to the database, connection string format:
    // 	jdbc:oracle:thin:@**hostcomputer**:**port**:**oraclesid**
    Connection conn =
      DriverManager.getConnection ("jdbc:oracle:thin:@tecra82:1521:tecra82",
				   "scott", "tiger");

    // Create a Statement
    CallableStatement stmt1 = conn.prepareCall("begin addem(?,?,?); end;");
    stmt1.setString(1,"123");
    stmt1.setString(2,"456");
    stmt1.registerOutParameter(3,Types.VARCHAR);
    stmt1.executeUpdate();
    System.out.println("Value returned is " + stmt1.getString(3));

	CallableStatement stmt2 = conn.prepareCall("begin ? := times_2(?); end;");
	stmt2.registerOutParameter(1,Types.NUMERIC);
	stmt2.setString(2,"1234.56");
	stmt2.executeUpdate();
	java.math.BigDecimal outVal = stmt2.getBigDecimal(1);
	System.out.println("Value returned is " + outVal);
   // Close statements
	 stmt1.close();
	 stmt2.close();
	 // Close connection
	 conn.close();
  } // end main
} // end OraThinJDBCStoredProc