/*
 * Java application using Oracle "thin" driver
 * Net8/SQL*Net not required on client
 *
 * Sample Update using JDBC
 *
 * @version 1.01 04/01/2000
 * @author  John Jay King
 */

import java.sql.*;	// needed for JDBC

/** Sample use of Oracle "thin" JDBC connection */
public class OraThinJDBCUpdate
{
  public static void main (String args [])
       throws SQLException
  {
    // Load the Oracle JDBC driver
    DriverManager.registerDriver(new oracle.jdbc.driver.OracleDriver());

    // Connect to the database, connection string format:
    // 	jdbc:oracle:thin:@**hostcomputer**:**port**:**oraclesid**
    Connection conn =
      DriverManager.getConnection ("jdbc:oracle:thin:@tecra:1521:tec817",
				   "scott", "tiger");

    // Create a Statement
    Statement stmt = conn.createStatement ();

	String mySql = "UPDATE EMP SET SAL = SAL * 1.06 "
				+ " WHERE EMPNO LIKE '" + 77 + "%'";
	int		nbrRows = stmt.executeUpdate(mySql);

    System.out.println ("Number of rows updated is " + nbrRows);

   // Close statement
	 stmt.close();
	 // Close connection
	 conn.close();
  } // end main
} // end OraThinJDBCUpdate